[Bug 124896] Re: spe 0.8.2a+repack-1 fails with python-wxgtk2.8

stani spe.stani.be at gmail.com
Mon Jan 7 20:45:07 GMT 2008


** Attachment added: "spe_0.8.2a+repack-1ubuntu0.7.10.debdiff"
   http://launchpadlibrarian.net/11192605/spe_0.8.2a%2Brepack-1ubuntu0.7.10.debdiff

** Description changed:

  Binary package hint: spe
  
  SRU request:
  1) This bugs happens as spe (0.8.2a+repack-1) requires python-wxgtk2.6 and fails with python-wxgtk2.8. When both python-wxgtk2.6 and python-wxgtk2.8 are installed, spe selects 2.8 instead of 2.6 and fails to start. (python-wxgtk2.8 is only available on feisty, gutsy and hardy.)
  2) A fix, which forces spe to select python-wxgtk2.6, has been already uploaded for the current development branch (hardy). Version uploaded is 0.8.2a+repack-1ubuntu1 and the debdiff used can be found at this link:
  http://launchpadlibrarian.net/10200564/spe_0.8.2a%2Brepack-1ubuntu1.debdiff
  3) A debdiff (0.8.2a+repack-1ubuntu0.7.10) for gutsy-proposed has been already prepared and can be found at 
- http://launchpadlibrarian.net/10904179/spe_0.8.2a%2Brepack-1ubuntu0.7.10.debdiff
+ http://launchpadlibrarian.net/11192605/spe_0.8.2a%2Brepack-1ubuntu0.7.10.debdiff
  As well as a debdiff (0.8.2a+repack-1ubuntu0.7.04) for feisty-proposed:
- http://launchpadlibrarian.net/10904178/spe_0.8.2a%2Brepack-1ubuntu0.7.04.debdiff
+ http://launchpadlibrarian.net/11192600/spe_0.8.2a%2Brepack-1ubuntu0.7.04.debdiff
  4) TEST CASE: to reproduce the bug, just follow this small steps:
  4a. apt-get install spe (gutsy package, 0.8.2a+repack-1)
  4b. open up your terminal and run "spe --debug"
  4c. you'll receive the output as reported below in the original log.
  --
  Original Log:
  
  spe crash on launch
  using : python /usr/bin/spe --debug > debug.txt 2>&1
  
  i have :
  AttributeError: 'Throbber' object has no attribute '_fileName'
  
  at the end of debug.txt
  
  debug.txt :
  kagou at satori:~/p$ cat debug.txt 
  
  ***MEMORY-WARNING***: [8038]: GSlice: g_thread_init() must be called
  before all other GLib functions; memory corruption due to late
  invocation of g_thread_init() has been detected; this program is likely
  to crash, leak or unexpectedly abort soon...
  
  Spe Warning: Spe was developped on wxPython v2.6.1.0., but v2.8.4.0. was found.
  If you experience any problems please install wxPython v2.6.1.0.
  
  
  SPE v0.8.2.a (c)2003-2005 www.stani.be
  
  If spe fails to start:
   - type "python SPE.py --debug > debug.txt 2>&1" at the command prompt
     (or if you use tcsh: "python SPE.py --debug >& debug.txt")
   - send debug.txt with some info to spe.stani.be[at]gmail.com
   
  Blender support disabled (run SPE inside Blender to enable).
  
  Encrypted debugging disabled. 
    If you prefer encrypted debugging, install the "Python Cryptography Toolkit"
    from http://www.amk.ca/python/code/crypto
  
  Spe is running in debugging mode with this configuration:
  - platform  : linux2
  - python    : 2.5.1
  - wxPython  : 2.8.4.0.
  - interface : <default>
  - encoding  : UTF-8
  
  Launching application...
  Create: Framework: menu.
  Create: Framework: toolbar.
  Create: Framework: statusbar.
  Traceback (most recent call last):
    File "/usr/bin/spe", line 3, in <module>
      import _spe.SPE
    File "/usr/lib/python2.5/site-packages/_spe/SPE.py", line 209, in <module>
      style           = style)
    File "/usr/lib/python2.5/site-packages/_spe/sm/wxp/smdi.py", line 1278, in __init__
      wx.App.__init__(self,redirect=not debug)
    File "/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7757, in __init__
      self._BootstrapApp()
    File "/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7354, in _BootstrapApp
      return _core_.PyApp__BootstrapApp(*args, **kwargs)
    File "/usr/lib/python2.5/site-packages/_spe/sm/wxp/smdi.py", line 1298, in OnInit
      **self.attributes)
    File "/usr/lib/python2.5/site-packages/_spe/sm/wxp/smdi.py", line 801, in __init__
      Parent.__init__(self,app=app,page=page,**options)
    File "/usr/lib/python2.5/site-packages/_spe/sm/wxp/smdi.py", line 596, in __init__
      **options)
    File "/usr/lib/python2.5/site-packages/_spe/sm/wxp/smdi.py", line 325, in __init__
      self.__statusBar__()
    File "/usr/lib/python2.5/site-packages/_spe/sm/wxp/smdi.py", line 417, in __statusBar__
      self.statusBar = self.app.StatusBar(parent=self,id=wx.ID_ANY)
    File "/usr/lib/python2.5/site-packages/_spe/Menu.py", line 730, in __init__
      self.throbber   = Throbber(self,'throbber_still.gif')
    File "/usr/lib/python2.5/site-packages/_spe/Menu.py", line 736, in __init__
      GIFAnimationCtrl.__init__(self,statusBar,-1,info.imageFile(fileName))
    File "/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/animate.py", line 242, in __init__
      self.LoadFile(filename)
    File "/usr/lib/python2.5/site-packages/_spe/Menu.py", line 749, in LoadFile
      if fileName != self._fileName and not self._running:
  AttributeError: 'Throbber' object has no attribute '_fileName'
  
  ProblemType: Crash
  Architecture: i386
  Date: Mon Jul  9 16:02:04 2007
  DistroRelease: Ubuntu 7.10
  ExecutablePath: /usr/bin/spe
  InterpreterPath: /usr/bin/python2.5
  NonfreeKernelModules: fglrx
  Package: spe 0.8.2a+repack-1
  PackageArchitecture: all
  ProcCmdline: python /usr/bin/spe
  ProcCwd: /home/kagou/p
  ProcEnviron:
   SHELL=/bin/bash
   PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
   LANG=fr_FR.UTF-8
  PythonArgs: ['/usr/bin/spe']
  SourcePackage: spe
  Title: spe crashed with AttributeError in LoadFile()
  Uname: Linux satori 2.6.22-7-generic #1 SMP Mon Jun 25 17:33:14 GMT 2007 i686 GNU/Linux

-- 
spe 0.8.2a+repack-1 fails with python-wxgtk2.8
https://bugs.launchpad.net/bugs/124896
You received this bug notification because you are a member of Ubuntu
Sponsors for universe, which is a direct subscriber.



More information about the Ubuntu-universe-sponsors mailing list